%define real_name RPC-XML

Summary:	RPC::XML - A set of classes for core data, message and XML handling
Name:		perl-%{real_name}
Version:	0.58
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-Net-Server
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The RPC::XML package is a reference implementation of the XML-RPC
standard. As a reference implementation, it is geared more towards clarity and
readability than efficiency.

The package provides a set of classes for creating values to pass to the
constructors for requests and responses. These are lightweight objects, most
of which are implemented as tied scalars so as to associate specific type
information with the value. Classes are also provided for requests, responses,
faults (errors) and a parser based on the XML::Parser package from CPAN.

This module does not actually provide any transport implementation or
server basis. For these, see RPC::XML::Client and RPC::XML::Server,
respectively.

%package	Apache
Summary:	RPC server as an Apache/mod_perl content handler
Group:		Development/Perl

%description	Apache
RPC server as an Apache/mod_perl content handler.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# make tests don't work
# make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README*
%attr(755,root,root) %{_bindir}/*
%doc ChangeLog README
%{perl_vendorlib}/RPC/XML.pm
%{perl_vendorlib}/RPC/XML
%dir %{perl_vendorlib}/auto/RPC
%dir %{perl_vendorlib}/auto/RPC/XML
%dir %{perl_vendorlib}/auto/RPC/XML/*
%{perl_vendorlib}/auto/RPC/XML/*/*.al
%{perl_vendorlib}/auto/RPC/XML/*/autosplit.ix
%{_mandir}/man3/*
%exclude %{_mandir}/man3/Apache*
%{_mandir}/man1/*

%files Apache
%defattr(-,root,root)
%doc README.apache
%{perl_vendorlib}/Apache/RPC
%{_mandir}/man3/Apache*


%changelog
* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.58-1mdk
- initial Mandriva package 
